<?php
/**
 * Widget ad Links
 *
 * @package Simple Days
 */


class simple_days_ad_link_widget extends WP_Widget {

	
	function __construct() {
		parent::__construct(
			'simple_days_ad_link', // Base ID
			esc_html__( '[Simple Days] Google AdSense Link', 'simple-days' ), // Name
			array( 'description' => esc_html__( 'Support a responsive ad unit for Google AdSense.Enable AMP when switching AMP ad.', 'simple-days' ), ) // Args
		);
	}

	 
	 
	 
	 

	public function widget( $args, $instance ) {
		$data_ad_client = get_theme_mod( 'simple_days_google_ad_publisher_id' , '');
		echo $args['before_widget'];
		if ( $data_ad_client != '' && !empty( $instance['data_ad_slot'] ) ) {

		    $ad_labeling = get_theme_mod( 'simple_days_google_ad_labeling' , '0');
		    if ($ad_labeling == '1'){
              $ad_labeling = esc_html__( 'Advertisements', 'simple-days' );
		    }else if ($ad_labeling == '2'){
              $ad_labeling = esc_html__( 'Sponsored Links', 'simple-days' );
		    }else{
		      $ad_labeling = '';
		    }
			echo esc_html(apply_filters( 'widget_title', $ad_labeling ));
            if(is_amp()){
			echo apply_filters( 'widget_text',
				'<amp-ad width="100vw" height=320
  type="adsense"
				  data-ad-client="'.$data_ad_client.'"
				  data-ad-slot="'.$instance['data_ad_slot'].'"
				  data-auto-format="rspv"
				  data-full-width>
				    <div overflow></div>
				</amp-ad>' );
			}else{
			echo apply_filters( 'widget_text',
				'<ins class="adsbygoogle"
				     style="display:block"
				     data-ad-client="'.$data_ad_client.'"
				     data-ad-slot="'.$instance['data_ad_slot'].'"
				     data-ad-format="auto">
				     </ins>
				<script>
				(adsbygoogle = window.adsbygoogle || []).push({});
				</script>'
				 );
			}
		}
		echo $args['after_widget'];
	}


	 
	 
	 

	public function form( $instance ) {
		$data_ad_slot = ! empty( $instance['data_ad_slot'] ) ? $instance['data_ad_slot'] : '';
		//https://support.google.com/adsense/answer/7183212
		?>
		<p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php esc_attr_e( 'Your ad unit\'s ID(data-ad-slot):', 'simple-days' ); ?></label>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'data_ad_slot' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'data_ad_slot' ) ); ?>" type="text" value="<?php echo esc_attr( $data_ad_slot ); ?>">
		</p>
		<?php
	}


	 

	 

	 
	 

	 

	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['data_ad_slot'] = ( ! empty( $new_instance['data_ad_slot'] ) ) ? sanitize_text_field( $new_instance['data_ad_slot'] ) : '';
		return $instance;
	}

} // class simple_days_ad_link_widget
