<?php
/**
 * Widget doropdown archives
 *
 * @package Simple Days
 */


class simple_days_dd_archives_widget extends WP_Widget {

	
	function __construct() {
		parent::__construct(
			'simple_days_dd_archives_widget', // Base ID
			esc_html__( '[Simple Days] Archives', 'simple-days' ), // Name
			array( 'description' => esc_html__( 'Drop Down Archives without JavaScript', 'simple-days' ), ) // Args
		);
	}
	public function widget( $args, $instance ) {
	  echo $args['before_widget'];
      echo '<div class="dd_widget"><input type="checkbox" id="toggle_dd_archives"><label for="toggle_dd_archives">'.esc_html__( 'Select Month', 'simple-days' ).'</label><ul>'.preg_replace('/<li><a\shref=[\'"]([^\'"]+)[\'"]>([^\'"]+)<\/a><\/li>/iu','<a href="$1"><li>$2</li></a>',wp_get_archives(array('echo'=>0))).'</ul></div>';
      echo $args['after_widget'];
	}
	public function form( $instance ) {
		$dd_archives_widget = ! empty( $instance['dd_archives_widget'] ) ? $instance['dd_archives_widget'] : '';
		?>
		<p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php esc_attr_e( 'Title', 'simple-days' ); ?></label>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'dd_archives_widget' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'dd_archives_widget' ) ); ?>" type="text" value="<?php echo esc_attr( $dd_archives_widget ); ?>">
		</p>
		<?php
	}
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['dd_archives_widget'] = ( ! empty( $new_instance['dd_archives_widget'] ) ) ? sanitize_text_field( $new_instance['dd_archives_widget'] ) : '';
		return $instance;
	}

} // class simple_days_dd_archives_widget
