<?php
/**
 * Widget Social Link
 *
 * @package Simple Days
 */


class simple_days_social_links_widget extends WP_Widget {

	
	function __construct() {
		parent::__construct(
			'simple_days_social_links_widget', // Base ID
			esc_html__( '[Simple Days] Social Links', 'simple-days' ), // Name
			array( 'description' => esc_html__( 'Support Social Links for Widget', 'simple-days' ), ) // Args
		);
	}
	public function widget( $args, $instance ) {
      echo '<div class="social_list"><span class="sns_intro">'.esc_html( get_theme_mod( 'simple_days_social_link_intro',__( 'Follow us on social media', 'simple-days'))).'</span><ul class="sns_link_icon">';
      $sns_icon = array();
      $icon_color = '';
      if(get_theme_mod( 'simple_days_profile_social_link_icon_color',false) == true) $icon_color = ' sns_dark_color';
      $icon_style = get_theme_mod( 'simple_days_social_link_shape','icon_square');
      $icon_size = get_theme_mod( 'simple_days_social_link_size','');
      $sns_tooltip = $icon_style == 'icon_rectangle' || $icon_style == 'icon_hollow_rectangle' ? '' : ' sns_tooltip';
      $i = 1;
      while($i <= 10){
      	$sns_url= '';
      	$sns_icon[$i] = get_theme_mod( 'simple_days_sns_icon_'.$i,'none');
      	$sns_account = get_theme_mod( 'simple_days_social_account_'.$sns_icon[$i],'');
      	$sns_icon[$i] == 'feedly' ? $sns_account = 'feedly' : '';
        $sns_icon[$i] == 'rss' ? $sns_account = 'rss' : '';
        if ($sns_icon[$i] != 'none' && $sns_account != ''){
switch ($sns_icon[$i]){


case 'facebook':
  $sns_url = esc_url('https://www.facebook.com/'.$sns_account);
  break;

case 'feedly':
  $sns_url = esc_url('https://feedly.com/i/subscription/feed/'.get_bloginfo('rss_url'));
  break;

case 'flickr':
  $sns_url = esc_url('https://www.flickr.com/photos/'.$sns_account);
  break;

case 'github':
  $sns_url = esc_url('https://github.com/'.$sns_account);
  break;

case 'googleplus':
  $sns_url = esc_url('https://plus.google.com/'.$sns_account);
  break;

case 'hatenabookmark':
  $sns_url = esc_url('https://b.hatena.ne.jp/'.$sns_account);
  break;

case 'instagram':
  $sns_url = esc_url('https://www.instagram.com/'.$sns_account);
  break;

case 'line':
  $sns_url = esc_url('http://line.naver.jp/ti/p/'.$sns_account);
  break;

case 'linkedin':
  $sns_url = esc_url('https://www.linkedin.com/in/'.$sns_account);
  break;

case 'pinterest':
  $sns_url = esc_url('https://www.pinterest.com/'.$sns_account);
  break;

case 'rss':
  $sns_url = get_bloginfo('rss_url');
  break;

case 'tumblr':
  $sns_url = esc_url('https://'.$sns_account.'.tumblr.com/');
  break;

case 'twitter':
  $sns_url = esc_url('https://twitter.com/'.$sns_account);
  break;

case 'vimeo':
  $sns_url = esc_url('https://vimeo.com/'.$sns_account);
  break;

case 'youtube':
  $sns_url = esc_url('https://www.youtube.com/'.$sns_account);
  break;



default:
  //どれでも無い
}
          if($sns_icon[$i] !='flickr'){
            echo '<li><a href="'.esc_url($sns_url).'" class="sns_'.esc_attr( $sns_icon[$i] ).' icon_base '.esc_attr( $icon_style ).' '.esc_attr( $icon_size ) . esc_attr($sns_tooltip) .' non_hover'.$icon_color.'" title="'.(esc_attr( $sns_icon[$i] ) =='hatenabookmark' ? esc_attr__('Hatena Bookmark', 'simple-days') : esc_attr( ucfirst( $sns_icon[$i] ) )).'" target="_blank"><i class="icomoon icon-'.esc_attr( $sns_icon[$i] ).'"></i></a></li>';

          }else{
            echo '<li><div class="'.esc_attr( $icon_style ).' bg_flickr'.($icon_style == "icon_rectangle" || $icon_style == "icon_hollow_rectangle" ? " rectangle_flickr" : "").'"><a href="'.esc_url($sns_url).'" class="sns_'.esc_attr( $sns_icon[$i] ).' icon_base '.esc_attr( $icon_style ).' '.esc_attr( $icon_size ) . ' '.esc_attr( $icon_size ).'_flickr' . esc_attr($sns_tooltip) .' non_hover'.$icon_color.($icon_style == "icon_rectangle" || $icon_style == "icon_hollow_rectangle" ? " rectangle_flickr_icon rec_flickr_".esc_attr($icon_size) : "").(($icon_style == "icon_hollow_rectangle" || $icon_style == "icon_hollow_square" || $icon_style == "icon_hollow_circle" ) && $icon_color == ' sns_dark_color' ? ' sns_flickr_dark' : '').($icon_style == "icon_rectangle" && $icon_color == ' sns_dark_color' ? ' sns_flickr_dark_rectangle' : '').'" title="'.esc_attr( ucfirst( $sns_icon[$i] ) ).'" target="_blank"><i class="icomoon icon-'.esc_attr( $sns_icon[$i] ).'"></i></a></div></li>';
          }
        }
        $i++;
      }
      echo '</ul></div>';
	}
	public function form( $instance ) {
		$social_links_title = ! empty( $instance['social_links_title'] ) ? $instance['social_links_title'] : '';
		?>
		<p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php esc_attr_e( 'Title', 'simple-days' ); ?></label>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'social_links_title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'social_links_title' ) ); ?>" type="text" value="<?php echo esc_attr( $social_links_title ); ?>">
		</p>
		<?php
	}
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['social_links_title'] = ( ! empty( $new_instance['social_links_title'] ) ) ? sanitize_text_field( $new_instance['social_links_title'] ) : '';
		return $instance;
	}

} // class simple_days_social_links_widget
